## kdegraphics-mobipocket 16.04.3

=== debian/changelog ===
kdegraphics-mobipocket (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:26:46 +0200

=== debian/control ===
Source: kdegraphics-mobipocket
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.22~),
               libstreamanalyzer-dev (>= 0.6.3),
               libstreams-dev (>= 0.6.3),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket

Package: kdegraphics-mobipocket
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdegraphics-strigi-plugins (<< 4:4.6.90), okular (<< 4:4.6.90)
Breaks: kdegraphics-strigi-plugins (<< 4:4.6.90), okular (<< 4:4.6.90)
Recommends: okular
Enhances: okular
Description: mobipocket plugins for Strigi indexing and thumbnails
 This package contains a plugin to read mobi files as thumbnails in KDE.
 .
 It also has a plugin for Strigi to read mobi files.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Description: library for reading Mobipocket documents
 Qt library for reading Mobipocket documents.

Package: libqmobipocket-dev
Architecture: any
Depends: libqmobipocket1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Section: libdevel
Description: library for reading Mobipocket documents
 Qt library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.

## kdegraphics-mobipocket 16.08.0

=== lib/CMakeLists.txt ===

set (QMOBIPOCKET_SRCS
    decompressor.cpp
    mobipocket.cpp
    qfilestream.cpp
)

kde4_add_library(qmobipocket SHARED ${QMOBIPOCKET_SRCS})

target_link_libraries (qmobipocket
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
)

install(FILES
    mobipocket.h
    qmobipocket_export.h
    qfilestream.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/qmobipocket/ COMPONENT Devel
)

install(TARGETS qmobipocket ${INSTALL_TARGETS_DEFAULT_ARGS})
set_target_properties(qmobipocket PROPERTIES VERSION 1.0.0 SOVERSION 1 )

=== strigi/CMakeLists.txt ===
include_directories(
                    ${STRIGI_INCLUDE_DIR}
                    ${PROJECT_SOURCE_DIR}/lib
                   )

########### next target ###############

set(mobianalyzer_SRCS
  mobiendanalyzer.cpp
)

kde4_add_library(mobi MODULE ${mobianalyzer_SRCS})

target_link_libraries(mobi ${STRIGI_STREAMS_LIBRARY} ${STRIGI_STREAMANALYZER_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} qmobipocket)

# install the module in the right directory so it is picked up
set_target_properties(mobi PROPERTIES PREFIX ${STRIGI_LINE_ANALYZER_PREFIX})

########### install files ###############

install(TARGETS mobi LIBRARY DESTINATION ${LIB_INSTALL_DIR}/strigi)

=== debian/changelog ===
kdegraphics-mobipocket (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.
  * Remove support for Strigi, which is going to be removed soon:
    - drop the libstreamanalyzer-dev and libstreams-dev build dependencies
    - do not install the strigi analyzer anymore
    - remove mention of Strigi in the description of kdegraphics-mobipocket
    - remove kdegraphics-strigi-plugins breaks/replaces in
      kdegraphics-mobipocket
  * Update lintian overrides.
  * Remove unused libqmobipocket1.acc file.
  * Remove all the references to okular in the relationships of
    kdegraphics-mobipocket, since it does not contain an okular plugin
    anymore.
  * Small touches to the descriptions.
  * Remove the unused ${shlibs:Depends} from libqmobipocket-dev.
  * Add the pkg-config build dependency.
  * Tighten the libqmobipocket1 dependency in kdegraphics-mobipocket.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Aug 2016 18:25:59 +0200

kdegraphics-mobipocket (4:15.12.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files with the logs from the buildds

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 16:57:07 +0200

=== debian/control ===
Source: kdegraphics-mobipocket
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdegraphics-mobipocket.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdegraphics-mobipocket.git

Package: kdegraphics-mobipocket
Architecture: any
Depends: libqmobipocket1 (= ${binary:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Description: mobipocket thumbnail plugin
 This package contains a plugin to read mobi files as thumbnails in KDE.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Description: library for reading Mobipocket documents
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket-dev
Architecture: any
Depends: libqmobipocket1 (= ${binary:Version}),
         ${misc:Depends},
Section: libdevel
Description: development files for the QMobipocket library
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.
 .
 This package is part of the KDE graphics module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdegraphics-mobipocket-([\d.]+).tar.xz

## kdegraphics-mobipocket 16.12.3

=== debian/changelog ===
kdegraphics-mobipocket (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:31:32 +0000

kdegraphics-mobipocket (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Porting packaging to KF5
  * Adding KF5 build deps
  * Fixing install files and doing a so bump

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:20:35 +0000

## kdegraphics-mobipocket 17.04.3

=== debian/changelog ===
kdegraphics-mobipocket (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:36:14 +0100

## kdegraphics-mobipocket 17.08.3

=== debian/changelog ===
kdegraphics-mobipocket (4:17.08.3-2mx17+1) mx; urgency=medium

  * Repackaged from buster for MX Linux.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 09 Feb 2018 16:11:43 -0800

kdegraphics-mobipocket (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2018 12:30:02 +0100

kdegraphics-mobipocket (4:17.08.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Bump versions in symbol file to 4:16.12.0 (basically round to the first
    stable release).

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 11:09:58 +0100

kdegraphics-mobipocket (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 22:41:18 +0200

kdegraphics-mobipocket (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:59:40 +0000

kdegraphics-mobipocket (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:34:35 +0000

kdegraphics-mobipocket (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:20:15 +0000

kdegraphics-mobipocket (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:14 +0000

kdegraphics-mobipocket (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:15:04 +0000

kdegraphics-mobipocket (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:44 +0000

kdegraphics-mobipocket (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:47:31 +0000

kdegraphics-mobipocket (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:57:43 +0000

kdegraphics-mobipocket (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:16:55 +0000

kdegraphics-mobipocket (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:25:41 +0000

kdegraphics-mobipocket (4:16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 18 May 2016 18:14:03 +0200

=== debian/control ===
Source: kdegraphics-mobipocket
Section: kde
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libkf5kio-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdegraphics-mobipocket.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdegraphics-mobipocket.git

Package: kdegraphics-mobipocket
Architecture: any
Depends: libqmobipocket2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: mobipocket thumbnail plugin
 This package contains a plugin to read mobi files as thumbnails in KDE.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket-dev
Architecture: any
Depends: libkf5i18n-dev,
         libqmobipocket2 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
Section: libdevel
Description: development files for the QMobipocket library
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Multi-Arch: same
Description: library for reading Mobipocket documents
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package is part of the KDE graphics module.

## kdegraphics-mobipocket 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

project(mobipocket)

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMOptionalAddSubdirectory)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

set(REQUIRED_QT_VERSION 5.4.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui)

ecm_setup_version("2.0.0"
    VARIABLE_PREFIX QMOBIPOCKET
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/QMobipocketConfigVersion.cmake"
    SOVERSION "2"
)

add_subdirectory(lib)

ecm_optional_add_subdirectory(thumbnailers)

set(CMAKECONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/QMobipocket")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/QMobipocketConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/QMobipocketConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(EXPORT QMobipocketTargets
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    FILE QMobipocketTargets.cmake
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/QMobipocketConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/QMobipocketConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdegraphics-mobipocket (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:25:46 +0000

kdegraphics-mobipocket (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:57:00 +0000

kdegraphics-mobipocket (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:22 +0000

=== debian/control ===
Source: kdegraphics-mobipocket
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket

Package: kdegraphics-mobipocket
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdegraphics-strigi-plugins (<< 4:4.6.90), okular (<< 4:4.6.90)
Breaks: kdegraphics-strigi-plugins (<< 4:4.6.90), okular (<< 4:4.6.90)
Recommends: okular
Enhances: okular
Description: mobipocket plugins for Strigi indexing and thumbnails
 This package contains a plugin to read mobi files as thumbnails in KDE.
 .
 It also has a plugin for Strigi to read mobi files.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Description: library for reading Mobipocket documents
 Qt library for reading Mobipocket documents.

Package: libqmobipocket-dev
Architecture: any
Depends: libqmobipocket2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Section: libdevel
Description: library for reading Mobipocket documents
 Qt library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.

## kdegraphics-mobipocket 18.04.3

=== debian/changelog ===
kdegraphics-mobipocket (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:16:17 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf5kio-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
@@ -43,7 +43,7 @@
 Architecture: any
 Depends: libqmobipocket2 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Section: libdevel
 Description: library for reading Mobipocket documents
  Qt library for reading Mobipocket documents.

## kdegraphics-mobipocket 18.12.3

=== debian/changelog ===
kdegraphics-mobipocket (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:27:34 +0000

kdegraphics-mobipocket (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:14:58 +0000

kdegraphics-mobipocket (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:09:57 +0000

kdegraphics-mobipocket (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:48:31 +0000

kdegraphics-mobipocket (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - Keep our sysmbols files.
    - d/control: Kubuntu Vcs field.
    - d/control: ${shlibs:Depends} on -dev package

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 21:57:57 +0000

## kdegraphics-mobipocket 19.04.3

=== debian/changelog ===
kdegraphics-mobipocket (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:13:15 +0100

kdegraphics-mobipocket (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:04:00 +0100

kdegraphics-mobipocket (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:57:12 +0100

kdegraphics-mobipocket (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:42:39 +0100

## kdegraphics-mobipocket 19.12.3

=== debian/changelog ===
kdegraphics-mobipocket (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:08:17 +0000

kdegraphics-mobipocket (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:19:02 +0000

kdegraphics-mobipocket (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:53:05 +0000

kdegraphics-mobipocket (4:19.12.0-0ubuntu1) focal; urgency=medium

  * Install new appstream data file.
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:46:40 +0000

kdegraphics-mobipocket (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:31:23 +0000

=== debian/control ===
Source: kdegraphics-mobipocket
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libkf5kio-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket

Package: kdegraphics-mobipocket
Architecture: any
Depends: libqmobipocket2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: mobipocket thumbnail plugin
 This package contains a plugin to read mobi files as thumbnails in KDE.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket-dev
Architecture: any
Depends: libkf5i18n-dev,
         libqmobipocket2 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Section: libdevel
Description: development files for the QMobipocket library
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Multi-Arch: same
Description: library for reading Mobipocket documents
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package is part of the KDE graphics module.

## kdegraphics-mobipocket 20.08.1

=== debian/changelog ===
kdegraphics-mobipocket (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:03 +0100

kdegraphics-mobipocket (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:45:44 +0100

kdegraphics-mobipocket (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Update watch file to the new release-service location.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and pkgkde_symbolshelper addons
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Update install files.
  * Add Build-Depends-Package in symbols file.
  * Remove empty line at the end of changelog.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 16:54:08 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 1.3.0~),
                libkf5kio-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.4.0~),
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket.git
 
 Package: kdegraphics-mobipocket
 Architecture: any
@@ -33,7 +34,6 @@
          libqmobipocket2 (= ${binary:Version}),
          qtbase5-dev (>= 5.4.0~),
          ${misc:Depends},
-         ${shlibs:Depends},
 Section: libdevel
 Description: development files for the QMobipocket library
  QMobipocket is a Qt library for reading Mobipocket documents.

## kdegraphics-mobipocket 20.12.0

=== lib/CMakeLists.txt ===

set (QMOBIPOCKET_SRCS
    decompressor.cpp
    mobipocket.cpp
    qfilestream.cpp
)

add_library(qmobipocket SHARED ${QMOBIPOCKET_SRCS})
generate_export_header(qmobipocket)

target_link_libraries (qmobipocket
    Qt5::Core
    Qt5::Gui
)

install(FILES
    mobipocket.h
    qfilestream.h
    ${CMAKE_CURRENT_BINARY_DIR}/qmobipocket_export.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/qmobipocket/ COMPONENT Devel
)

install(TARGETS qmobipocket EXPORT QMobipocketTargets ${INSTALL_TARGETS_DEFAULT_ARGS})
set_target_properties(qmobipocket PROPERTIES VERSION ${QMOBIPOCKET_VERSION} SOVERSION ${QMOBIPOCKET_SOVERSION})

=== thumbnailers/CMakeLists.txt ===
include_directories(
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${PROJECT_SOURCE_DIR}/lib
                   )

########### next target ###############

set(mobithumbnail_SRCS
  mobithumbnail.cpp
)

find_package(KF5 REQUIRED
    KIO
    )

add_library(mobithumbnail MODULE ${mobithumbnail_SRCS})
target_link_libraries(mobithumbnail KF5::KIOCore KF5::KIOWidgets Qt5::Gui qmobipocket)
install(TARGETS mobithumbnail DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES mobithumbnail.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kdegraphics-mobipocket (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh copyright information.
  * Update project homepage.
  * Bump debhelper compatibility level to 13.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.
  * Remove Eshat Cakar and Maximiliano Curia from the uploader, thanks for you
    work on the package!
  * Add myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Dec 2020 13:22:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,20 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.3.0~),
                libkf5kio-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.4.0~),
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/graphics/kdegraphics-mobipocket
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket.git
+Rules-Requires-Root: no
 
 Package: kdegraphics-mobipocket
 Architecture: any

## kdegraphics-mobipocket 20.12.3

=== debian/changelog ===
kdegraphics-mobipocket (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:18:34 +0000

kdegraphics-mobipocket (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:52:48 +0000

kdegraphics-mobipocket (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:09:21 +0000

## kdegraphics-mobipocket 21.08.1

=== debian/changelog ===
kdegraphics-mobipocket (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:32:35 +0100

kdegraphics-mobipocket (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:01:03 +0100

kdegraphics-mobipocket (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:54:04 +0100

kdegraphics-mobipocket (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:32:51 +0100

kdegraphics-mobipocket (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:41:57 +0100

kdegraphics-mobipocket (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:38:28 +0100

kdegraphics-mobipocket (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:05:08 +0100

kdegraphics-mobipocket (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:33:48 +0100

## kdegraphics-mobipocket 21.12.3

=== debian/changelog ===
kdegraphics-mobipocket (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 22:40:25 +0100

kdegraphics-mobipocket (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:09:18 +0900

kdegraphics-mobipocket (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 23:34:40 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kdegraphics-mobipocket
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper-compat (= 13),
@@ -11,7 +12,7 @@
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.4.0~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-mobipocket
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket.git

## kdegraphics-mobipocket 22.08.1

=== debian/changelog ===
kdegraphics-mobipocket (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:38:43 +0100

kdegraphics-mobipocket (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:48:46 +0100

kdegraphics-mobipocket (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:26:11 +0100

kdegraphics-mobipocket (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:00:11 +0100

kdegraphics-mobipocket (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:57:39 +0100

kdegraphics-mobipocket (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Make kdegraphics-mobipocket a transitional package, as the plugin
    has moved to kdegraphics-thumbnailers.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:46:41 +0100

kdegraphics-mobipocket (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:09:15 +0000

kdegraphics-mobipocket (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:15:44 +0000

kdegraphics-mobipocket (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:23:34 +0000

kdegraphics-mobipocket (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:20:39 +0000

kdegraphics-mobipocket (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:04:51 +0000

kdegraphics-mobipocket (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:15:55 +0000

kdegraphics-mobipocket (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:25:07 +0000

kdegraphics-mobipocket (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:38:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kdegraphics-mobipocket
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper-compat (= 13),
@@ -12,21 +12,23 @@
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.4.0~),
-Standards-Version: 4.6.0
+Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/graphics/kdegraphics-mobipocket
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
 Rules-Requires-Root: no
 
 Package: kdegraphics-mobipocket
-Architecture: any
-Depends: libqmobipocket2 (= ${binary:Version}),
+Architecture: all
+Priority: optional
+Section: oldlibs
+Depends: kdegraphics-thumbnailers (>= 4:22.03.90~),
          ${misc:Depends},
          ${shlibs:Depends},
-Description: mobipocket thumbnail plugin
+Description: mobipocket thumbnail plugin - transitional package
  This package contains a plugin to read mobi files as thumbnails in KDE.
  .
- This package is part of the KDE graphics module.
+ This package is a dummy and can safely be removed.
 
 Package: libqmobipocket-dev
 Architecture: any

## kdegraphics-mobipocket 22.12.1

=== debian/changelog ===
kdegraphics-mobipocket (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:05:27 +0100

kdegraphics-mobipocket (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:37 +0100

kdegraphics-mobipocket (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Update the list of installed files from build logs.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).
  * Drop kdegraphics-mobipocket binary package, it used to contain the
    thumbnailer which has been moved to kdegraphics-thumbnailers.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:54 +0100

=== debian/control ===
Source: kdegraphics-mobipocket
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               libkf5kio-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/graphics/kdegraphics-mobipocket
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-mobipocket.git
Rules-Requires-Root: no

Package: libqmobipocket-dev
Architecture: any
Depends: libkf5i18n-dev,
         libqmobipocket2 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Section: libdevel
Description: development files for the QMobipocket library
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Multi-Arch: same
Description: library for reading Mobipocket documents
 QMobipocket is a Qt library for reading Mobipocket documents.
 .
 This package is part of the KDE graphics module.

## kdegraphics-mobipocket 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

project(mobipocket)

find_package(ECM 5.90.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMOptionalAddSubdirectory)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui)

if(TARGET Qt6::Core)
    find_package(Qt6 REQUIRED COMPONENTS Core5Compat)
endif()

ecm_setup_version("2.0.0"
    VARIABLE_PREFIX QMOBIPOCKET
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/QMobipocketConfigVersion.cmake"
    SOVERSION "2"
)

add_subdirectory(lib)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/QMobipocket")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/QMobipocketConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/QMobipocketConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(EXPORT QMobipocketTargets
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    FILE QMobipocketTargets.cmake
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/QMobipocketConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/QMobipocketConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdegraphics-mobipocket (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:50 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
 
 Package: libqmobipocket2
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Section: libs
 Multi-Arch: same
 Description: library for reading Mobipocket documents
